<?php
function tkds_shipping_shortcode() {
	wp_enqueue_script( 'tkds-shipping-ajax-script' );
	wp_enqueue_style( 'tkds-shipping-style' );
	ob_start();	?>
	<div class="tkds-shipping-page-wrap">

	</div>
<?php echo ob_get_clean(); }
add_shortcode('tkds_shipping', 'tkds_shipping_shortcode');


add_action( 'admin_menu', 'register_tkds_shipping_backend_menu_page' );
function register_tkds_shipping_backend_menu_page(){
	add_menu_page( 'Tkds Shipping', 'Poste Delivery Business', 'manage_options', 'tkds_shipping_options', 'tkds_shipping_options', plugin_dir_url( __FILE__ ).'img/poste-icon24.png',56);

	add_submenu_page('tkds_shipping_options', 'Impostazioni', 'Impostazioni', 'manage_options', 'tkds_shipping_options', 'tkds_shipping_options',1,'');
	add_submenu_page('tkds_shipping_options', 'Impostazioni PDB API', 'Impostazioni PDB API', 'manage_options', 'tkds_plugin_settings', 'tkds_plugin_settings',3,'');

}





function tkds_shipping_options(){
	
	

	if(isset($_POST['update_store_details'])){
		update_option('tkds_zipCode',$_POST['tkds_zipCode']);
		update_option('tkds_streetNumber',$_POST['tkds_streetNumber']);
		update_option('tkds_city',$_POST['tkds_city']);
		update_option('tkds_address',$_POST['tkds_address']);
		update_option('tkds_country',$_POST['tkds_country']);
		update_option('tkds_countryName',$_POST['tkds_countryName']);
		update_option('tkds_nameSurname',$_POST['tkds_nameSurname']);
		update_option('tkds_contactName',$_POST['tkds_contactName']);
		update_option('tkds_province',$_POST['tkds_province']);
		update_option('tkds_email',$_POST['tkds_email']);
		update_option('tkds_phone',$_POST['tkds_phone']);
		

	}
	?>
	<link rel="stylesheet" href="<?php echo plugin_dir_url( __FILE__ ); ?>/css/style.css">
	<link rel="stylesheet" href="https://cdn.datatables.net/1.10.19/css/dataTables.bootstrap.min.css">
	<link rel="stylesheet" href="https://maxcdn.bootstrapcdn.com/bootstrap/3.3.7/css/bootstrap.min.css">
	<div class="main-wrap">
	    <div class="tkds-container">
			<div class="wrap">
				<h2 >Impostazioni mittente</h2>
				
				<form method="post" action="" class="col-md-12">
					<div class="col-md-6">
					    <br>
						<label>Nome Azienda (max 35 caratteri)</label>
						<input type="text" name="tkds_nameSurname" class="form-control" value="<?php echo get_option('tkds_nameSurname'); ?>" maxlength=35 required>
					</div>
					<div class="col-md-6">
					    <br>
						<label>Nome contatto</label>
						<input type="text" name="tkds_contactName" class="form-control" value="<?php echo get_option('tkds_contactName'); ?>" maxlength=35 required>
					</div>
					<div class="col-md-6">
					    <br>
						<label>Email</label>
						<input type="email" name="tkds_email" class="form-control" value="<?php echo get_option('tkds_email'); ?>" maxlength=50 required>
					</div>
					<div class="col-md-6">
					    <br>
						<label>Telefono</label>
						<input type="text" name="tkds_phone" class="form-control" value="<?php echo get_option('tkds_phone'); ?>" maxlength=15 required>
					</div>
					<div class="col-md-6">
					    <br>
						<label>Indirizzo</label>
						<input type="text" name="tkds_address" class="form-control" value="<?php echo get_option('tkds_address'); ?>" maxlength=40 required>
					</div>
					<div class="col-md-6">
					    <br>
						<label>Numero civico</label>
						<input type="text" name="tkds_streetNumber" class="form-control" value="<?php echo get_option('tkds_streetNumber'); ?>" maxlength=4 required>
					</div>
					<div class="col-md-6">
					    <br>
						<label>Città</label>
						<input type="text" name="tkds_city" class="form-control" value="<?php echo get_option('tkds_city'); ?>" maxlength=30 required>
					</div>
					<div class="col-md-6">
					    <br>
						<label>Provincia (sigla 2 caratteri)</label>
						<input type="text" name="tkds_province" class="form-control" value="<?php echo get_option('tkds_province'); ?>" maxlength=2 required>
					</div>
					<div class="col-md-6">
					    <br>
						<label>Nome Nazione</label>
						<input type="text" name="tkds_countryName" class="form-control" value="<?php echo get_option('tkds_countryName'); ?>" maxlength=30 required>
					</div>
					<div class="col-md-6">
					    <br>
						<label>Codice Nazione (ISO4 - per Italia inserire ITA1)</label>
						<input type="text" name="tkds_country" class="form-control" value="<?php echo get_option('tkds_country'); ?>" maxlength=4 required>
					</div>
					<div class="col-md-6">
					    <br>
						<label>C.A.P.</label>
						<input type="text" name="tkds_zipCode" class="form-control" value="<?php echo get_option('tkds_zipCode'); ?>" maxlength=7 required>
					</div>
					
					<div class="col-md-12">
					    <br>
					    
						<input  type="submit" name="update_store_details" class="btn btn-info" value="Aggiorna mittente">	
					</div>
					
				</form>
				<div class="clearfix"></div>
			</div>



		</div>
	</div>
	<br>
	<div><h2>Acquista la tua licenza per sbloccare tutte le funzionalità PRO!</h2>
<ul>
	<li>Accedi ai webservices live di Poste italiane per creare lettere di vettura operative</li>
	<li>Getione dei pacchi: potrai inserire altezza larghezza profondità e peso dei tuoi pacchi</li>
	<li>Gestionendel tracking: lascia che i tuoi clienti traccino il loro pacco direttamente all'interno della propia pagina personale, piuttosto che sul sito di Poste Italiane</li>
	<li>Tutti gli aggiornamenti inclusi per un anno</li>
</ul>
<p>Per maggiori informazioni non esitare a contattarci: info@eraclito.it - 06916500395</p>
</div>
	<?php
}

function tkds_plugin_settings(){




	if(isset($_POST['update_plugin_settings'])){
		update_option('tkds_client_id',$_POST['tkds_client_id']);
		update_option('tkds_client_password',$_POST['tkds_client_password']);
		update_option('tkds_pkg_mode','sandbox');
		update_option('tkds_costCenterCode',$_POST['tkds_costCenterCode']);
		update_option('tkds_product',$_POST['tkds_product']);
		update_option('tkds_contentvalue',$_POST['tkds_contentvalue']);
		update_option('tkds_LdvFormat',$_POST['tkds_LdvFormat']);
		
	}
	?>
	<link rel="stylesheet" href="<?php echo plugin_dir_url( __FILE__ ); ?>/css/style.css">
	<link rel="stylesheet" href="https://cdn.datatables.net/1.10.19/css/dataTables.bootstrap.min.css">
	<link rel="stylesheet" href="https://maxcdn.bootstrapcdn.com/bootstrap/3.3.7/css/bootstrap.min.css">
	<div class="main-wrap">
	    <div class="tkds-container">
			<div class="wrap">
				<h2 >Impostazioni API e credenziali PDB</h2>
				<form method="post" action="" class="col-md-12">
					<div class="col-md-6">
					    <br>
						<label>Client id</label>
						<input type="text" name="tkds_client_id" class="form-control" value="<?php echo get_option('tkds_client_id'); ?>" required>
					</div>
					<div class="col-md-6">
					    <br>
						<label>Client Password</label>
						<input type="text" name="tkds_client_password" class="form-control" value="<?php echo get_option('tkds_client_password'); ?>" required>
					</div>
					

	
					<div class="col-md-6">
					    <br>
						<label>Centro di Costo</label>
						<input type="text" name="tkds_costCenterCode" class="form-control" value="<?php echo get_option('tkds_costCenterCode'); ?>" required>
					</div>			
					
					<div class="col-md-6">
						<?php $selezionato=get_option('tkds_product');?>
					    <br>
						<label>Prodotto PDB sottoscritto</label>
                      <select class="form-control" name="tkds_product" required>
                        <option value="APT000902"<?php if ($selezionato == 'APT000902') echo ' selected="selected"'; ?>>PosteDelivery Business Standard / Standard Reverse</option>
						<option value="APT000901"<?php if ($selezionato == 'APT000901') echo ' selected="selected"'; ?>>PosteDelivery Business Express / Express Reverse</option>
                      </select>	
					</div> 	
					
					<div class="col-md-6">
						<?php $formato_selezionato=get_option('tkds_LdvFormat');?>
					    <br>
						<label>Formanto LDV</label>
                      <select class="form-control" name="tkds_LdvFormat" required>
                        <option value="A4"<?php if ($formato_selezionato == 'A4') echo ' selected="selected"'; ?>>Formato A4</option>
						<option value="1011"<?php if ($formato_selezionato == '1011') echo ' selected="selected"'; ?>>Formato etichetta A6 (10x11)</option>
                      </select>	
					</div> 
						
					<div class="col-md-6">
						<?php 	$default_content=get_option('tkds_contentvalue')==''?'Merchandising':get_option('tkds_contentvalue'); ?>
					    <br>
						<label>Valore predefinito del contenuto</label>
						<input type="text" name="tkds_contentvalue" class="form-control" value="<?php echo $default_content; ?>" required>
					</div>
					
					<div class="col-md-6">
					    <br>
					    <label>Ambiente</label>
					    <br>
						<label>
						<input  type="radio" disabled name="tkds_pkg_mode"  value="live" >  Live
						</label>
						
						<label>
						<input type="radio" name="tkds_pkg_mode"  value="sandbox" checked>  Sandbox
						</label>
					</div>
					
					
					
					<div class="col-md-12">
					    <br>
					    
						<input  type="submit" name="update_plugin_settings" class="btn btn-info" value="Aggiorna impostazioni API">	
					</div>
					
				</form>
				
				<div class="clearfix"></div>
				
				
			</div>
			<br/>
			<hr style="border-top: 5px solid #bbb;border-radius: 5px;" width="60%">
			<br/>
			<h3>Guida alle impostazioni API</h3>
			<div class="col-md-12">
					<h4 style="text-decoration: underline;">Client id</h4><p>Inserire l'ID cliente assegnato sul contratto di Poste Italiane. <span style="text-decoration: underline;">Se si utilizza l'ambiente sendbox</span> utilizzare l'ID cliente <strong>611c9cb0-deff-44b8-8337-b5fe2b3297fc</strong></p>
					<br />
					<h4 style="text-decoration: underline;">Client password</h4> <p>Inserire la password cliente assegnata sul contratto di Poste Italiane. <span style="text-decoration: underline;">Se si utilizza l'ambiente sendbox</span> utilizzare la password <strong>aSn8Q~5LbgHtdwqr~DYJ14z5UBTowLBqMPMonbG.</strong></p>
					<br />
					<h4 style="text-decoration: underline;">Centro di Costo</h4> <p>Inserire il Centro di Costo assegnata sul contratto di Poste Italiane. <span style="text-decoration: underline;">Se si utilizza l'ambiente sendbox</span> utilizzare il Centro di Costo <strong>CDC-00070964</strong></p>
					<br />
					<h4 style="text-decoration: underline;">Prodotto PDB sottoscritto</h4><p>Selezionare il prodotto Poste Delivery Business sottoscritto. <span style="text-decoration: underline;">Se si utilizza l'ambiente sendbox</span> è possibile selezionare uno qualunque dei prodotti Poste Delivery Business</p>
					<br />
					<h4 style="text-decoration: underline;">Formato LDV</h4><p>Sono disponibili due formati per la lettera di vettura: formato A4 o A6 (nella versione Pro è disponibile anche il formato ZPL). Scegli il formato che che vuoi utilizzare</p>
					<br />
					<h4 style="text-decoration: underline;">Valore predefinito del contenuto</h4><p>Ogni lettera di vettura deve dichiarare il contenuto del pacco. Quì puoi impostare un valore predefinito che potrà in ogni caso essere modificato durante la creazione della LdV</p>

			</div>



		</div>
	</div>
	<br />
	<br />
	<div><h2>Acquista la tua licenza per sbloccare tutte le funzionalità PRO!</h2>
<ul>
	<li>Accedi ai webservices live di Poste italiane per creare lettere di vettura operative</li>
	<li>Getione dei pacchi: potrai inserire altezza larghezza profondità e peso dei tuoi pacchi</li>
	<li>Gestiono multicollo</li>
	<li>Lettere di vettura (collo singolo o multicollo) in formato ZPL (Zebra Programming Language) per le etichettatrice che supportano tale formato</li>
	<li>Gestione Paperless</li>
	<li>Gestione del pagamento alla consegna</li>
	<li>Gestionendel tracking: lascia che i tuoi clienti traccino il loro pacco direttamente all'interno della propia pagina personale, piuttosto che sul sito di Poste Italiane</li>
	<li>Tutti gli aggiornamenti inclusi per un anno</li>
</ul>
<p>Per maggiori informazioni non esitare a contattarci: info@eraclito.it - 06916500395</p>
</div>
	<?php
}









